aries-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Achim Nierbeck (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (ARIES-1168) Proxy / Blueprint itests fail with missing Pax-Exam dependency
Date Fri, 28 Mar 2014 11:15:15 GMT

    [ https://issues.apache.org/jira/browse/ARIES-1168?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13950582#comment-13950582
] 

Achim Nierbeck commented on ARIES-1168:
---------------------------------------

This issue seems to be related to the pax-runner used in Pax Exam 1.x. 
I'd suggest to switch to Pax Exam 3.4 or higher, cause this version is still maintained, whereas
the old Pax Exam is definitely not maintained any longer.   

> Proxy / Blueprint itests fail with missing Pax-Exam dependency
> --------------------------------------------------------------
>
>                 Key: ARIES-1168
>                 URL: https://issues.apache.org/jira/browse/ARIES-1168
>             Project: Aries
>          Issue Type: Bug
>            Reporter: David Bosschaert
>         Attachments: springsource.repo.diff
>
>
> As reported in this thread: http://mail-archives.apache.org/mod_mbox/aries-dev/201403.mbox/%3COF963FA4B8.7F17A864-ON80257CA8.0060625E-80257CA8.0062F5A6%40uk.ibm.com%3E
> Blueprint and Proxy itests fail with a pristine .m2 directory with the following error:
> org.ops4j.pax.runner.platform.PlatformException:
> [mvn:org.junit/com.springsource.org.junit/4.4.0] is not a valid bundle
>         at org.ops4j.pax.runner.Run.startPlatform(Run.java:675)
> They do work when this artifact is present in the local .m2 directory.



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message